{ buildHomeAssistantComponent, fetchFromGitHub, ... }:
buildHomeAssistantComponent rec {
  owner = "jjjonesjr33";
  domain = "petlibro";
  version = "v1.2.30.7";

  src = fetchFromGitHub {
    owner = owner;
    repo = "petlibro";
    rev = version;
    hash = "sha256-+zmeUQHRXrBYQ5pEWLAtu9TZ8ELiwCLliRPktKlpI8k=";
  };

  meta = {
    changelog = "https://github.com/jjjonesjr33/petlibro/releases/tag/${version}";
    description = "PETLIBRO integration for Home Assistant.";
    homepage = "https://github.com/jjjonesjr33/petlibro";
    maintainers = [ ];
  };
}
